aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/detect_trailing_whitespace.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/detect_trailing_whitespace.sh')
-rwxr-xr-xscripts/detect_trailing_whitespace.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/detect_trailing_whitespace.sh b/scripts/detect_trailing_whitespace.sh
new file mode 100755
index 00000000..1a136a10
--- /dev/null
+++ b/scripts/detect_trailing_whitespace.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+REPO_ROOT="$(dirname "$0")"/..
+
+(
+cd $REPO_ROOT
+WHITESPACE=$(git grep -n -I -E "^.*[[:space:]]+$" | grep -v "test/libsolidity/ASTJSON\|test/compilationTests/zeppelin/LICENSE")
+
+if [[ "$WHITESPACE" != "" ]]
+then
+ echo "Error: Trailing whitespace found:" >&2
+ echo "$WHITESPACE" >&2
+ exit 1
+fi
+)